<h2>Reactivos: Switches</h2>
<hr>


<form autocomplete="off" [formGroup]="myForm" (ngSubmit)="onSubmit()">

  <!-- Radio -->
  <div class="row mb-3">
    <label class="col-sm-3 col-form-label">Género</label>
    <div class="col-sm-9">

      <div class="form-check">
        <input class="form-check-input" formControlName="gender" type="radio" value="M" id="radioMasculino">
        <label class="form-check-label" for="radioMasculino">
          Masculino
        </label>
      </div>

      <div class="form-check">
        <input class="form-check-input" formControlName="gender" type="radio" value="F" id="radioFemenino">
        <label class="form-check-label" for="radioFemenino">
          Femenino
        </label>
      </div>

    </div>
  </div>

  <!-- Switches -->
  <div class="row mb-3">
    <label class="col-sm-3 col-form-label">Notificaciones</label>
    <div class="col-sm-9">

      <div class="form-check form-switch mt-2">
        <input class="form-check-input" type="checkbox" id="flexSwitchCheckChecked" formControlName="wantNotifications">
        <label class="form-check-label" for="flexSwitchCheckChecked">Quiero recibir notificaciones</label>
      </div>

    </div>
  </div>

  <!-- Switches -->
  <div class="row mb-3">
    <label class="col-sm-3 col-form-label"></label>
    <div class="col-sm-9">
      <div class="form-check">
        <input class="form-check-input" type="checkbox" id="flexCheckDefault" formControlName="termsAndConditions">
        <label class="form-check-label" for="flexCheckDefault">
          Términos y condiciones de uso
        </label>
      </div>
      <span *ngIf="isValidField('termsAndConditions')" class="form-text text-danger">
        Debe de aceptar las condiciones de uso
      </span>

    </div>
  </div>


  <!-- Boton submit -->
  <div class="row">
    <div class="col">
      <button class="btn btn-primary float-end" type="submit">
        Guardar
      </button>
    </div>
  </div>

</form>


<h5>Valor del formulario</h5>
<pre>{{myForm.value| json}}</pre>
<br>

<h5>Persona</h5>
<pre>{{ person | json }}</pre>
<br>

<h5>Valid</h5>
<pre>{{ myForm.valid| json }}</pre>

<!-- <h5>Términos</h5> -->
<!-- <pre>{{ myForm.controls?.terminos?.errors | json }}</pre> -->

<!-- <br>
<pre>Condiciones: </pre> -->